<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('meet_room', function (Blueprint $table) {
            $table->id();
            $table->integer('office_id')->comment('办公室id');
            $table->string('room_name')->comment('会议室名称');
            $table->string('desc')->nullable()->comment('会议室描述');
            $table->text('images')->nullable()->comment('会议室图片');
            $table->tinyInteger('type')->comment('是否需要审批 0:需要 1:不需要')->default(0);
            $table->tinyInteger('status')->comment('状态 0:可预定 ,1:不可预订')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('meet_room');
    }
};
